# LlamaLendWithdraw

### Description

Action that withdraws collateral from user's wallet llamalend position

### Action ID

`0xf54e28d9`

### SDK Action

```ts
const llamaLendWithdrawAction = new dfs.actions.llamalend.LlamaLendWithdrawAction(
    controllerAddress,
    to,
    collateralAmount
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param controllerAddress Address of the llamalend market controller
    /// @param to Address that will receive the withdrawn collateral
    /// @param collateralAmount Amount of collateral to withdraw
    struct Params {
        address controllerAddress;
        address to;
        uint256 collateralAmount;
    }
```

### Return Value

```solidity
return bytes32(generatedAmount);
```

### Events and Logs

```solidity
emit ActionEvent("LlamaLendWithdraw", logData);
logger.logActionDirectEvent("LlamaLendWithdraw", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/llamalend/llamalendwithdraw.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
